/*******************************************************************************
 * Copyright (c) 2010 Red Hat, Inc. Distributed under license by Red Hat, Inc. All rights reserved.
 * This program is made available under the terms of the Eclipse Public License v1.0 which
 * accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors: Red Hat, Inc. - initial API and implementation
 ******************************************************************************/
package demo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

/**
 * Created by JBoss Tools
 */
@ManagedBean
@ViewScoped
public class TestBean implements Serializable {

    private static final long serialVersionUID = 1L;

    private List<MyObject> data = new ArrayList<MyObject>();

    private String selected = "No Selection";

    /**
     * Constructor
     *
     */
    public TestBean() {
        super();
        init();
    }



    /**
     * init Values
     *
     */
    private void init() {
        for (int i = 0; i < 10; i++) {

            MyObject myObject = new MyObject();
            Date d = new Date();

            myObject.setValue1("This is value " + i);
            myObject.setValue2("Time is" + d.getTime());

            data.add(myObject);
        }
    }

    /**
     * Action method, called by commandButton
     *
     * @param param
     */
    public void callForAction(String param) {
        System.out.println("Actionmethod called and receiving param: " + param);

        selected = param;

        MyObject myObject = new MyObject();
        myObject.setValue1("This is value " + (data.size() + 1));
        myObject.setValue2("Time is" + new Date().getTime());
        data.add(myObject);
    }


    // Get & Set methods
    /**
     * @return the data
     */
    public List<MyObject> getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(List<MyObject> data) {
        this.data = data;
    }

    /**
     * @return the selected
     */
    public String getSelected() {
        return selected;
    }

    /**
     * @param selected the selected to set
     */
    public void setSelected(String selected) {
        this.selected = selected;
    }

}